Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::OEBParser Class Reference

`#include <OEBParser.h>`

## Public Member Functions
| OEBParser (librevenge::RVNGInputStream *input, librevenge::RVNGTextInterface *document)
void | parse ()

## Private Member Functions
| OEBParser (const OEBParser &other)
OEBParser & | operator= (const OEBParser &other)

## Private Attributes
librevenge::RVNGInputStream *const | m_input
librevenge::RVNGTextInterface *const | m_document

## Constructor & Destructor Documentation

## § OEBParser() [1/2]

libebook::OEBParser::OEBParser | ( | const OEBParser & | other | ) |
| private

## § OEBParser() [2/2]

libebook::OEBParser::OEBParser | ( | librevenge::RVNGInputStream * | input,
|  | librevenge::RVNGTextInterface * | document
| ) |  |

## Member Function Documentation

## § operator=()

OEBParser& libebook::OEBParser::operator= | ( | const OEBParser & | other | ) |
| private

## § parse()

void libebook::OEBParser::parse | ( |  | ) |

## Member Data Documentation

## § m_document

librevenge::RVNGTextInterface* const libebook::OEBParser::m_document
| private

Referenced by parse().

## § m_input

librevenge::RVNGInputStream* const libebook::OEBParser::m_input
| private

Referenced by OEBParser(), and parse().

The documentation for this class was generated from the following files:

- OEBParser.h
- OEBParser.cpp